
// Solucion del ejercicio 1 de la sesion 6

import java.io.*;

public class AllAboutFile {
	public static void main (String [] args) throws IOException {
		if (args.length != 1) {
			System.err.println("Uso: AllAboutFile fichero");
			return;
		}
		File f = new File(args[0]);

		System.out.printf("Probando metodos de File sobre %s:%n", args[0]);
		System.out.printf("\tf.exists(): %s%n", f.exists());
		if (f.exists()) {
			System.out.printf("\tf.isFile(): %s%n", f.isFile());
			System.out.printf("\tf.isDirectory(): %s%n", f.isFile());
			System.out.printf("\tf.getName(): %s%n", f.getName());
			System.out.printf("\tf.getParent(): %s%n", f.getParent());
			System.out.printf("\tf.getPath(): %s%n", f.getPath());
			System.out.printf("\tf.isAbsolute(): %s%n", f.isAbsolute());
			System.out.printf("\tf.getAbsolutePath(): %s%n", f.getAbsolutePath());
			System.out.printf("\tf.getCanonicalPath(): %s%n", f.getCanonicalPath());
			System.out.printf("\tf.canRead(): %s%n", f.canRead());
			System.out.printf("\tf.canWrite(): %s%n", f.canWrite());
			System.out.printf("\tf.canExecute(): %s%n", f.canExecute());
			System.out.printf("\tf.isHidden(): %s%n", f.isHidden());
			System.out.printf("\tf.lastModified(): %ta %<tb %<td %<tT %<tZ %<tY%n", f.lastModified());
			System.out.printf("\tf.length(): %s%n", f.length());
		}
	}
}
