
// Solucion del ejercicio 8 de la sesion 6

import java.io.*;

public class BorraDirF {
	static void borrarDir (File d) {
		File [] entradas;
		entradas = d.listFiles();

		for (int i=0; i<entradas.length; i++) {
			if (entradas[i].isDirectory())
				borrarDir(entradas[i]);
			entradas[i].delete();
		}
	}
	public static void main (String [] args) {
		if (args.length != 1) {
			System.err.println("Uso: BorraDir directorio");
			return;
		}
		File dir = new File(args[0]);

		if (!dir.exists() || !dir.isDirectory()) {
			System.err.println("Uso: BorraDir directorio");
			return;
		}
		borrarDir(dir);
		dir.delete();
	}
}
