
// Solucion del ejercicio 4 de la sesion 6

import java.io.*;

public class BorraFich {
	public static void main (String [] args) {
		if (args.length != 1) {
			System.err.println("Uso: BorraFich directorio");
			return;
		}
		File dir = new File(args[0]);

		if (!dir.exists() || !dir.isDirectory()) {
			System.err.println("Uso: BorraFich directorio");
			return;
		}
		File [] entradas;
		entradas = dir.listFiles();

		for (int i=0; i<entradas.length; i++)
			if (!entradas[i].isDirectory() &&
				entradas[i].getName().endsWith(".tmp")) {
					entradas[i].delete();
			}

	}
}
