
// Solucion del ejercicio 9 de la sesion 6

import java.io.*;

public class ListaRec {
	private static final String SANGRADO = "--";

	static void listarDir (File d, String sangra) {
		File [] entradas;
		entradas = d.listFiles();

		System.out.println(sangra + " " + d.getName());
		sangra += SANGRADO;
		for (int i=0; i<entradas.length; i++) {
			if (entradas[i].isDirectory())
				listarDir(entradas[i], sangra);
			else
				System.out.println(sangra + " " +
					entradas[i].getName());
		}
	}
	public static void main (String [] args) {
		if (args.length != 1) {
			System.err.println("Uso: ListaRec directorio");
			return;
		}
		File dir = new File(args[0]);

		if (!dir.exists() || !dir.isDirectory()) {
			System.err.println("Uso: Lista directorio");
			return;
		}
		listarDir(dir, "");
	}
}
