
// Solucion del ejercicio 7 de la sesion 6

import java.io.*;

public class RenombraF {
	public static void main (String [] args) {
		if (args.length != 2) {
			System.err.println("Uso: Renombra directorio fich_refer");
			return;
		}
		File dir = new File(args[0]);
		File fref = new File(args[1]);

		if (!dir.exists() || !dir.isDirectory() || !fref.exists()) {
			System.err.println("Uso: Renombra directorio fich_refer");
			return;
		}

		File [] entradas;
		entradas = dir.listFiles(new FiltroFecha(fref));

		for (int i=0; i<entradas.length; i++)
			entradas[i].renameTo(new File(entradas[i].getPath() + ".old"));
	}
}
