
// Solucion del ejercicio 3 de la sesion 6

import java.io.*;

public class BorraDir {
	public static void main (String [] args) {
		if (args.length != 1) {
			System.err.println("Uso: BorraDir directorio");
			return;
		}
		File dir = new File(args[0]);

		if (!dir.exists() || !dir.isDirectory()) {
			System.err.println("Uso: BorraDir directorio");
			return;
		}
		File [] entradas;
		entradas = dir.listFiles();

		for (int i=0; i<entradas.length; i++)
			if (entradas[i].isDirectory()) {
				System.err.println("Error: el directorio tiene subdirectorios");
				return;
			}

		for (int i=0; i<entradas.length; i++)
			entradas[i].delete();
		dir.delete();
	}
}
