
// Solucion del ejercicio 5 de la sesion 6

import java.io.*;

public class Renombra {
	public static void main (String [] args) {
		if (args.length != 2) {
			System.err.println("Uso: Renombra directorio fich_refer");
			return;
		}
		File dir = new File(args[0]);
		File fref = new File(args[1]);

		if (!dir.exists() || !dir.isDirectory() || !fref.exists()) {
			System.err.println("Uso: Renombra directorio fich_refer");
			return;
		}
		long fecha_ref = fref.lastModified();

		File [] entradas;
		entradas = dir.listFiles();

		for (int i=0; i<entradas.length; i++)
			if (entradas[i].lastModified() < fecha_ref)
				entradas[i].renameTo(new
					File(entradas[i].getPath() + ".old"));
	}
}
